java.lang.UnsatisfiedLinkError: /opt/sun/webserver7/lib/libadminsecurity.so: Can't load AMD 64-bit .so on a AMD 64-bit platform

Searched on Google with the first line of a JAVA stack trace?

We can recommend more relevant solutions and speed up debugging when you paste your entire stack trace with the exception message. Try a sample exception.

Recommended solutions based on your search

Samebug tips

,

This is a sub-class of the LinkageError class and indicates that the JVM cannot find an appropriate native-language definition of a method declared as native. Compile a 64-bit version of your .dylib file.

Solutions on the web

via Oracle Community by 807567, 1 year ago
/opt/sun/webserver7/lib/libadminsecurity.so: Can't load AMD 64-bit .so on a AMD 64-bit platform
via bingbots.com by Unknown author, 2 years ago
C:\SPRINT_WTK_332\bin\sublime.dll: Can't load IA 32-bit .dll on a AMD 64-bit platform
via Stack Overflow by Muaz
, 2 years ago
C:\WTK2.5.2\bin\sublime.dll: Can't load IA 32-bit .dll on a AMD 64-bit platform
via Oracle Community by User648426-Oracle, 1 year ago
C:\Oracle2\Middleware\oracle_common\oui\lib\win32\oraInstaller.dll: Can't load AMD 64-bit .dll on a IA 32-bit platform
via Oracle Community by Sreenadh, 1 year ago
E:\MicroFocus\Bin\CBLJVM_SUN.DLL: Can't lo ad IA 32-bit .dll on a AMD 64-bit platform - 2014-10-20 17:24:21,540 [JVM 2 ERROR logger] ERROR (cobol.host.ProcessLogger)
via ubuntuforums.org by Unknown author, 2 years ago
/root/.commandemulator/libCommandEmulatorJ.so: Can't load IA 32-bit .so on a IA 32-bit platform
java.lang.UnsatisfiedLinkError: /opt/sun/webserver7/lib/libadminsecurity.so: Can't load AMD 64-bit .so on a AMD 64-bit platform

Users with the same issue

48 times, 4 weeks ago
Once, 1 month ago
Once, 6 months ago
Once, 1 year ago
14 times, 1 year ago

Write tip

Know the solutions? Share your knowledge to help other developers to debug faster.